### Home Classes Methods

### In Files

- lib/cool.io/server.rb

### Parent

Coolio::Server

### Methods

- ::new

### Class/Module Index

Quicksearch

- Coolio
- Coolio::AsyncWatcher
- Coolio::Connections
- Coolio::DNSResolver
- Coolio::DNSResolver::Timeout
- Coolio::DSL
- Coolio::DSL::ConnectionBuilder
- Coolio::IO
- Coolio::IO::Watcher
- Coolio::IOWatcher
- Coolio::Listener
- Coolio::Loop
- Coolio::Meta
- Coolio::Server
- Coolio::Socket
- Coolio::Socket::Connector
- Coolio::TCPListener
- Coolio::TCPServer
- Coolio::TCPSocket
- Coolio::TCPSocket::TCPConnectResolver
- Coolio::TCPSocket::TCPConnectSocket
- Coolio::TimerWatcher
- Coolio::UNIXListener
- Coolio::UNIXServer
- Coolio::UNIXSocket
- Cool
- Cool::Coolness
- Cool::IOThunk
- Object
- Thread

No matching classes.

# Coolio::UNIXServer

UNIX server class. Listens on the specified UNIX domain socket and creates new connection objects of the given class. Optionally, it can also take any existing core UNIXServer object as `path` and create a Coolio::UNIXServer out of it.

### Public Class Methods

new(path, klass = UNIXSocket, *args, &block) click to toggle source

    # File lib/cool.io/server.rb, line 69
    def initialize(path, klass = UNIXSocket, *args, &block)
      s = ::UNIXServer === path ? path : ::UNIXServer.new(path)
      s.instance_eval { listen(DEFAULT_BACKLOG) }
      super(s, klass, *args, &block)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.